#ifndef HORIZSCROLL_H
#define HORIZSCROLL_H
// Copyright (c) 2005 David Drysdale.  See license.txt for license info

#define kScrollTabHeight 7
#define kScrollTabWidth  6
#define kScrollLineWidth 3

typedef struct horizScroll {
  Int16 value;
  Int16 minValue;
  Int16 maxValue;
  Int16 pageSize;
  UInt16 leftCoord;
  UInt16 xExtent;
} HORIZSCROLL;

void HorizScrollDraw(FormPtr form, UInt16 gadgetID);
void HorizScrollTap(FormPtr form, UInt16 gadgetID, EventPtr event);

void UpdateHScrollBar(FormPtr form, UInt16 scrollbarID, UInt16 currentPosition);
Boolean ScrollHLines(FormPtr form, UInt16 scrollbarID, Int16 numToScroll, Boolean redraw);
void ScrollHPage(FormPtr form, UInt16 scrollbarID, WinDirectionType direction);

#endif

